unit ProbSmallerzUnit;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, LResources, Forms, Controls, Graphics, Dialogs,
  StdCtrls, functionslib;

type

  { TProbSmallerzForm }

  TProbSmallerzForm = class(TForm)
    CancelBtn: TButton;
    ComputeBtn: TButton;
    Label1: TLabel;
    Label2: TLabel;
    ProbzEdit: TEdit;
    ResetBtn: TButton;
    ReturnBtn: TButton;
    zEdit: TEdit;
    procedure ComputeBtnClick(Sender: TObject);
    procedure ResetBtnClick(Sender: TObject);
  private
    { private declarations }
  public
    { public declarations }
  end; 

var
  ProbSmallerzForm: TProbSmallerzForm;

implementation

{ TProbSmallerzForm }

procedure TProbSmallerzForm.ResetBtnClick(Sender: TObject);
begin
    zEdit.Text := '';
    ProbzEdit.Text := '';
end;

procedure TProbSmallerzForm.ComputeBtnClick(Sender: TObject);
VAR
   zprob, z : double;
   outvalue : string;
begin
    z := StrToFloat(zEdit.Text);
    zprob := probz(z);
    outvalue := format('%6.4f',[zprob]);
    ProbzEdit.Text := outvalue;
end;

initialization
  {$I probsmallerzunit.lrs}

end.

